/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.web.controllers.user;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import net.lensfrex.dscape.dto.response.general.Response;
import net.lensfrex.dscape.dto.response.general.ResponseCode;
import org.springframework.web.bind.annotation.*;

@JsonSerialize(using = ToStringSerializer.class)
@RestController
@RequestMapping("/user")
public class User {

    @PostMapping(value = "/login" , produces = "application/json")
    public Response login(@RequestBody String body) {
        return Response.error(ResponseCode.API_NOT_IMPLEMENT);
    }

    @PostMapping(value = "/register", produces = "application/json")
    public Response register(@RequestBody String body) {
        return Response.error(ResponseCode.API_NOT_IMPLEMENT);
    }

    @PostMapping(value = "/modifyPassword/{uid}", produces = "application/json")
    public Response modifyPassword(@RequestBody String body, @PathVariable String uid,
                                   @RequestHeader String token) {
        return Response.error(ResponseCode.API_NOT_IMPLEMENT);
    }
}
